gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r23024 - in gnunet/src: dns exit nat transport vpn


From: gnunet
Subject: [GNUnet-SVN] r23024 - in gnunet/src: dns exit nat transport vpn
Date: Wed, 1 Aug 2012 09:20:37 +0200

Author: grothoff
Date: 2012-08-01 09:20:37 +0200 (Wed, 01 Aug 2012)
New Revision: 23024

Modified:
   gnunet/src/dns/Makefile.am
   gnunet/src/dns/install-dns-helper.sh
   gnunet/src/exit/Makefile.am
   gnunet/src/exit/install-exit-helper.sh
   gnunet/src/nat/Makefile.am
   gnunet/src/nat/install-nat-helper.sh
   gnunet/src/transport/Makefile.am
   gnunet/src/transport/install-wlan-helper.sh
   gnunet/src/vpn/Makefile.am
   gnunet/src/vpn/install-vpn-helper.sh
Log:
-fixing installation scripts for suid binaries

Modified: gnunet/src/dns/Makefile.am
===================================================================
--- gnunet/src/dns/Makefile.am  2012-07-31 21:19:49 UTC (rev 23023)
+++ gnunet/src/dns/Makefile.am  2012-08-01 07:20:37 UTC (rev 23024)
@@ -18,7 +18,7 @@
 if LINUX
 HIJACKBIN = gnunet-helper-dns
 install-exec-hook:
-       $(top_srcdir)/src/dns/install-dns-helper.sh $(SUDO_BINARY) $(bindir) 
$(GNUNETDNS_GROUP) || true
+       $(top_srcdir)/src/dns/install-dns-helper.sh $(bindir) 
$(GNUNETDNS_GROUP) $(SUDO_BINARY) || true
 else
 install-exec-hook:
 endif

Modified: gnunet/src/dns/install-dns-helper.sh
===================================================================
--- gnunet/src/dns/install-dns-helper.sh        2012-07-31 21:19:49 UTC (rev 
23023)
+++ gnunet/src/dns/install-dns-helper.sh        2012-08-01 07:20:37 UTC (rev 
23024)
@@ -1,9 +1,9 @@
 #!/bin/bash
-# $1 - sudo binary
-# $2 - bindir
-# $3 - gnunetdns group
-$1 chown root $2/gnunet-helper-dns || true
-$1 chgrp $3 $2/gnunet-helper-dns || true
-$1 chmod 4750 $2/gnunet-helper-dns || true
-$1 chown gnunet:$3 $2/gnunet-service-dns || true
-$1 chmod 2750 $2/gnunet-service-dns || true
+# $1 - bindir
+# $2 - gnunetdns group
+# $3 - sudo binary (optional)
+$3 chown root $1/gnunet-helper-dns || true
+$3 chgrp $2 $1/gnunet-helper-dns || true
+$3 chmod 4750 $1/gnunet-helper-dns || true
+$3 chown gnunet:$2 $1/gnunet-service-dns || true
+$3 chmod 2750 $1/gnunet-service-dns || true

Modified: gnunet/src/exit/Makefile.am
===================================================================
--- gnunet/src/exit/Makefile.am 2012-07-31 21:19:49 UTC (rev 23023)
+++ gnunet/src/exit/Makefile.am 2012-08-01 07:20:37 UTC (rev 23024)
@@ -18,7 +18,7 @@
 if LINUX
 EXITBIN = gnunet-helper-exit
 install-exec-hook:
-       $(top_srcdir)/src/exit/install-exit-helper.sh $(SUDO_BINARY) $(bindir) 
|| true
+       $(top_srcdir)/src/exit/install-exit-helper.sh $(bindir) $(SUDO_BINARY) 
|| true
 else
 install-exec-hook:
 endif

Modified: gnunet/src/exit/install-exit-helper.sh
===================================================================
--- gnunet/src/exit/install-exit-helper.sh      2012-07-31 21:19:49 UTC (rev 
23023)
+++ gnunet/src/exit/install-exit-helper.sh      2012-08-01 07:20:37 UTC (rev 
23024)
@@ -1,5 +1,5 @@
-#!/bin/bash
-# $1 - sudo binary
-# $2 - bindir
-$1 chown root:root $2/gnunet-helper-exit || true
-$1 chmod u+s $2/gnunet-helper-exit || true
+#!/bin/bash
+# $1 - bindir
+# $2 - sudo binary (optional)
+$2 chown root:root $1/gnunet-helper-exit || true
+$2 chmod u+s $1/gnunet-helper-exit || true

Modified: gnunet/src/nat/Makefile.am
===================================================================
--- gnunet/src/nat/Makefile.am  2012-07-31 21:19:49 UTC (rev 23023)
+++ gnunet/src/nat/Makefile.am  2012-08-01 07:20:37 UTC (rev 23024)
@@ -12,18 +12,12 @@
 dist_pkgcfg_DATA = \
   nat.conf
 
-
-if ENABLE_TEST_RUN
- nattest = $(bindir)/gnunet-nat-server
-endif
-
-
 if LINUX
 NATBIN = gnunet-helper-nat-server gnunet-helper-nat-client
 NATSERVER = gnunet-helper-nat-server.c
 NATCLIENT = gnunet-helper-nat-client.c
 install-exec-hook:
-       $(top_srcdir)/src/nat/install-nat-helper.sh $(SUDO_BINARY) $(bindir) 
$(nattest) || true
+       $(top_srcdir)/src/nat/install-nat-helper.sh $(bindir) $(SUDO_BINARY) || 
true
 else
 install-exec-hook:
 endif

Modified: gnunet/src/nat/install-nat-helper.sh
===================================================================
--- gnunet/src/nat/install-nat-helper.sh        2012-07-31 21:19:49 UTC (rev 
23023)
+++ gnunet/src/nat/install-nat-helper.sh        2012-08-01 07:20:37 UTC (rev 
23024)
@@ -1,6 +1,5 @@
 #!/bin/bash
-# $1 - sudo binary
-# $2 - bindir
-# $3 - nattest
-$1 chown root:root $2/gnunet-helper-nat-server $2/gnunet-helper-nat-client $3 
|| true
-$1 chmod u+s $2/gnunet-helper-nat-server $2/gnunet-helper-nat-client $3 || true
+# $1 - bindir
+# $2 - sudo binary (optional)
+$2 chown root:root $1/gnunet-helper-nat-server $1/gnunet-helper-nat-client || 
true
+$2 chmod u+s $1/gnunet-helper-nat-server $1/gnunet-helper-nat-client || true

Modified: gnunet/src/transport/Makefile.am
===================================================================
--- gnunet/src/transport/Makefile.am    2012-07-31 21:19:49 UTC (rev 23023)
+++ gnunet/src/transport/Makefile.am    2012-08-01 07:20:37 UTC (rev 23024)
@@ -47,7 +47,7 @@
 
 if LINUX
 install-exec-hook:
-       $(top_srcdir)/src/transport/install-wlan-helper.sh $(SUDO_BINARY) 
$(bindir) || true
+       $(top_srcdir)/src/transport/install-wlan-helper.sh $(bindir) 
$(SUDO_BINARY) || true
 else
 install-exec-hook:
 endif

Modified: gnunet/src/transport/install-wlan-helper.sh
===================================================================
--- gnunet/src/transport/install-wlan-helper.sh 2012-07-31 21:19:49 UTC (rev 
23023)
+++ gnunet/src/transport/install-wlan-helper.sh 2012-08-01 07:20:37 UTC (rev 
23024)
@@ -1,5 +1,5 @@
 #!/bin/bash
-# $1 - sudo binary
-# $2 - bindir
-$1 chown root:root $2/gnunet-helper-transport-wlan || true
-$1 chmod u+s $2/gnunet-helper-transport-wlan || true
+# $1 - bindir
+# $2 - sudo binary (optional)
+$2 chown root:root $1/gnunet-helper-transport-wlan || true
+$2 chmod u+s $1/gnunet-helper-transport-wlan || true

Modified: gnunet/src/vpn/Makefile.am
===================================================================
--- gnunet/src/vpn/Makefile.am  2012-07-31 21:19:49 UTC (rev 23023)
+++ gnunet/src/vpn/Makefile.am  2012-08-01 07:20:37 UTC (rev 23024)
@@ -18,7 +18,7 @@
 if LINUX
 VPNBIN = gnunet-helper-vpn
 install-exec-hook:
-       $(top_srcdir)/src/nat/install-vpn-helper.sh $(SUDO_BINARY) $(bindir) || 
true
+       $(top_srcdir)/src/vpn/install-vpn-helper.sh $(bindir) $(SUDO_BINARY) || 
true
 else
 install-exec-hook:
 endif

Modified: gnunet/src/vpn/install-vpn-helper.sh
===================================================================
--- gnunet/src/vpn/install-vpn-helper.sh        2012-07-31 21:19:49 UTC (rev 
23023)
+++ gnunet/src/vpn/install-vpn-helper.sh        2012-08-01 07:20:37 UTC (rev 
23024)
@@ -1,5 +1,5 @@
 #!/bin/bash
-# $1 - sudo binary
-# $2 - bindir
-$1 chown root:root $2/gnunet-helper-vpn || true
-$1 chmod u+s $2/gnunet-helper-vpn || true
+# $1 - bindir
+# $2 - sudo binary (optional)
+$2 chown root:root $1/gnunet-helper-vpn || true
+$2 chmod u+s $1/gnunet-helper-vpn || true




reply via email to

[Prev in Thread] Current Thread [Next in Thread]